#!/bin/sh
SCRIPTS_PATH=$1
MCSV_PRODUCT_PATH=$2

TEK_META_CONTENT_SECURITY_POLICY=$3
TEK_UPGRADE_INSECURE_REQUESTS=$4
FM_BASE_ROUTES_FRONT=$5
SERVER_URL_FM=$6
FM_METADATA_ENDPOINT=$7
ENVIRONMENT_BASE_URI=$8
SESSION_TIME_FM=$9
FM_TOKEN_GOOGLE=${10}

cd $MCSV_PRODUCT_PATH/frontend

$SCRIPTS_PATH/replace.sh "<>VUE_APP_META_CONTENT_SECURITY_POLICY<>" "$TEK_META_CONTENT_SECURITY_POLICY"  ".env.production"
$SCRIPTS_PATH/replace.sh "<>VUE_APP_UPGRADE_INSECURE_REQUESTS<>" "$TEK_UPGRADE_INSECURE_REQUESTS"        ".env.production"
$SCRIPTS_PATH/replace.sh "<>BASE_ROUTES_FRONT<>"    "$FM_BASE_ROUTES_FRONT"                              ".env.production"

cat .env.production

cd $MCSV_PRODUCT_PATH/frontend/src/config

$SCRIPTS_PATH/replace.sh "<>SERVER_URL_FM<>" "$SERVER_URL_FM"                  "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>FM_METADATA_ENDPOINT<>" "$FM_METADATA_ENDPOINT"    "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>ENVIRONMENT_BASE_URI<>" "$ENVIRONMENT_BASE_URI"    "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>SESSION_TIME<>" "$SESSION_TIME_FM"                 "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>FM_TOKEN_GOOGLE<>" "$FM_TOKEN_GOOGLE"              "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>FM_USER_LINK<>" ""              "prodEnvironment.json"

cat prodEnvironment.json

cp $MCSV_PRODUCT_PATH/frontend/src/config/prodEnvironment.json  $MCSV_PRODUCT_PATH/frontend/src/config/devEnvironment.json
