import { Metadata } from '@zeedhi/core';
import { TekGrid } from '@zeedhi/teknisa-components-common';

export class Fm00031001TarefasContratoController {
    public visibilidadeGridItens: boolean = false;

    public visibilidadeForm: boolean = true;

    public rowClickFiltroGrid({ row }: any) {
        this.visibilidadeGridItens = true;
        this.visibilidadeForm = !this.visibilidadeGridItens;
        const grid = Metadata.getInstance<TekGrid>('tek-grid-itens-tarefas-contrato');

        grid.datasource.setFilter({
            CDSERVORCA: row.CDSERVORCA,
            CDTPMEDIDASERV: row.CDTPMEDIDASERV,
        });
    }
}
